Bug 1818 - [UPDATE REQUEST] vlc 2.0.4 -> 2.0.5
: [UPDATE REQUEST] vlc 2.0.4 -> 2.0.5
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-22 16:08 MSK by Andrey Bondrov
Modified: 2013-03-26 10:40 MSK (History)
2 users (show)

See Also:
RPM Package: vlc
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-03-22 16:08:13 MSK
New bugfix version 2.0.5 was released few monthes ago.
Comment 1 Andrey Bondrov 2013-03-22 16:10:14 MSK
Advisory: "New bugfix version 2.0.5. 

Some changes since 2.0.4:

Access:
 * Fix DVB-S delivery system detection

Audio Output:
 * Fix playback initial synchronization with PulseAudio
   (however similar bugs in PulseAudio version 2.0 and later still exist)
 * Fix file output bug affecting floating point on big endian systems

Demuxers:
 * Fix crash with some embedded subtitle fonts
 * Fix buffer overflow in HTML subtitles parser
 * Fix koreus lua parser
 * Improve reliability for RTSP streams sent by some IP cameras
 * Fix division by 0 in AIFF demuxer
 * Fix some MKV crashes when ordered editions have empty or broken links
 * Fix SWF potential crash on malformed files.

Video filters:
 * Fix crash in Freetype with embedded fonts
 * Fix wrong aspect ratio in some cases

Encoders:
 * Fix Mpeg-2 audio and video encoders initialization

libVLC:
 * Fix audio and video track selection:
   The constant track identifier is now always used. Some functions previously
   incorrectly used the (moving) index of the track in the table of tracks."

Main version:
https://abf.rosalinux.ru/build_lists/1026698
https://abf.rosalinux.ru/build_lists/1026699

Restricted version:
https://abf.rosalinux.ru/build_lists/1026718
https://abf.rosalinux.ru/build_lists/1026719
Comment 2 Vladimir Potapov 2013-03-25 18:40:15 MSK
vlc-2.0.5-1-rosa2012.1
vlc-2.0.5-1plf-plf2012.1
**************** Advisory ************************
New bugfix version 2.0.5
**************** Changelist **********************

Access:
 * Fix DVB-S delivery system detection

Audio Output:
 * Fix playback initial synchronization with PulseAudio
   (however similar bugs in PulseAudio version 2.0 and later still exist)
 * Fix file output bug affecting floating point on big endian systems

Demuxers:
 * Fix crash with some embedded subtitle fonts
 * Fix buffer overflow in HTML subtitles parser
 * Fix koreus lua parser
 * Improve reliability for RTSP streams sent by some IP cameras
 * Fix division by 0 in AIFF demuxer
 * Fix some MKV crashes when ordered editions have empty or broken links
 * Fix SWF potential crash on malformed files.

Video filters:
 * Fix crash in Freetype with embedded fonts
 * Fix wrong aspect ratio in some cases

Encoders:
 * Fix Mpeg-2 audio and video encoders initialization

libVLC:
 * Fix audio and video track selection:
   The constant track identifier is now always used. Some functions previously
   incorrectly used the (moving) index of the track in the table of tracks."

*****************************************************
QA Verified